AC_DEFUN([AC_GDS_PKG_CONFIG_PATH_ADD_SRCDIR],[
  # Checks for libraries
  AS_CASE([$srcdir],
    [.], [
         # We are building in place.
         _pkg_config_srcdir="$ac_pwd"
    ],
    [ [[\\/]]* | ?:[[\\/]]* ], [
      #Absolute name.
      _pkg_config_srcdir="$srcdir"
    ],
    [
      # Relative name.
      _pkg_config_srcdir="$ac_pwd/$srcdir"
    ])
  for dir in $1; do rev="$dir $rev"; done
  for dir in $rev;
  do
    PKG_CONFIG_PATH="$_pkg_config_srcdir/$dir:${PKG_CONFIG_PATH}"
  done
  export PKG_CONFIG_PATH
])
